"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateActionEventMapper = void 0;
var _EventMapper = require("../../sdk/EventMappers/EventMapper");
/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

const generateActionEventMapper = eventMapper => new _EventMapper.EventMapper(eventMapper, formatRawActionToActionEvent, formatActionEventToNativeAction, formatRawActionToNativeAction);
exports.generateActionEventMapper = generateActionEventMapper;
const formatRawActionToActionEvent = (action, additionalInformation) => {
  return {
    ...action,
    ...additionalInformation
  };
};
const formatRawActionToNativeAction = action => {
  return action;
};
const formatActionEventToNativeAction = (action, originalEvent) => {
  return {
    ...action,
    type: originalEvent.type,
    name: originalEvent.name,
    timestampMs: originalEvent.timestampMs
  };
};
//# sourceMappingURL=actionEventMapper.js.map