"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatadogTracingIdentifier = void 0;
/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

/**
 * A read-only wrapper of {@link TracingIdentifier} for public API usage.
 */
class DatadogTracingIdentifier {
  /**
   * Read-only generated ID as a {@link BigInteger}.
   */
  get id() {
    return this.uuid.id;
  }

  /**
   * Read-only type to determine whether the identifier is a {@link TraceId} or a {@link SpanId}.
   */
  get type() {
    return this.uuid.type;
  }
  constructor(uuid) {
    this.uuid = uuid;
  }

  /**
   * Returns a string representation of the Tracing ID.
   * @param format - The type of representation to use.
   * @returns The ID as a string in the specified representation type.
   */
  toString(format) {
    return this.uuid.toString(format);
  }
}
exports.DatadogTracingIdentifier = DatadogTracingIdentifier;
//# sourceMappingURL=DatadogTracingIdentifier.js.map