"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DdSdkInternalNativeBridgeEvent = void 0;
var _InternalLog = require("../../InternalLog");
var _SdkVerbosity = require("../../SdkVerbosity");
/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

class DdSdkInternalNativeBridgeEvent {
  constructor(eventName, callback) {
    this.eventName = eventName;
    this.callback = data => {
      if (!data) {
        _InternalLog.InternalLog.log(`BridgeEvent undefined data for '${eventName}' event: ${data ? JSON.stringify(data) : 'undefined'}`, _SdkVerbosity.SdkVerbosity.DEBUG);
        return;
      }
      _InternalLog.InternalLog.log(`BridgeEvent received data for '${eventName}' event: ${data ? JSON.stringify(data) : 'undefined'}`, _SdkVerbosity.SdkVerbosity.DEBUG);
      callback(data);
    };
  }
}
exports.DdSdkInternalNativeBridgeEvent = DdSdkInternalNativeBridgeEvent;
//# sourceMappingURL=DdSdkInternalNativeBridgeEvent.js.map