"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BufferSingleton = void 0;
var _BoundedBuffer = require("./BoundedBuffer");
var _PassThroughBuffer = require("./PassThroughBuffer");
/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

class BufferSingleton {
  static bufferInstance = new _BoundedBuffer.BoundedBuffer();
  static getInstance = () => {
    return BufferSingleton.bufferInstance;
  };
  static onInitialization = () => {
    BufferSingleton.bufferInstance.drain();
    BufferSingleton.bufferInstance = new _PassThroughBuffer.PassThroughBuffer();
  };
  static reset = () => {
    BufferSingleton.bufferInstance = new _BoundedBuffer.BoundedBuffer();
  };
}
exports.BufferSingleton = BufferSingleton;
//# sourceMappingURL=BufferSingleton.js.map