"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserInfoSingleton = void 0;
/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

class UserInfoProvider {
  userInfo = {};
  setUserInfo = userInfo => {
    this.userInfo = userInfo;
  };
  getUserInfo = () => {
    return this.userInfo;
  };
}
class UserInfoSingleton {
  static userInfoProvider = new UserInfoProvider();
  static getInstance = () => {
    return UserInfoSingleton.userInfoProvider;
  };
  static reset = () => {
    UserInfoSingleton.userInfoProvider = new UserInfoProvider();
  };
}
exports.UserInfoSingleton = UserInfoSingleton;
//# sourceMappingURL=UserInfoSingleton.js.map