"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefaultTimeProvider = void 0;
var _TimeProvider = require("./TimeProvider");
/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

class DefaultTimeProvider extends _TimeProvider.TimeProvider {
  canUsePerformanceNow =
  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore
  global.performance && typeof performance.now === 'function';
  getTimestamp() {
    return {
      unix: Date.now(),
      reactNative: this.performanceNow()
    };
  }
  performanceNow() {
    if (this.canUsePerformanceNow) {
      // eslint-disable-next-line @typescript-eslint/ban-ts-comment
      // @ts-ignore
      return performance.now();
    }
    return null;
  }
}
exports.DefaultTimeProvider = DefaultTimeProvider;
//# sourceMappingURL=DefaultTimeProvider.js.map