/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

import { EventMapper } from '../../sdk/EventMappers/EventMapper';
export const generateActionEventMapper = eventMapper => new EventMapper(eventMapper, formatRawActionToActionEvent, formatActionEventToNativeAction, formatRawActionToNativeAction);
const formatRawActionToActionEvent = (action, additionalInformation) => {
  return {
    ...action,
    ...additionalInformation
  };
};
const formatRawActionToNativeAction = action => {
  return action;
};
const formatActionEventToNativeAction = (action, originalEvent) => {
  return {
    ...action,
    type: originalEvent.type,
    name: originalEvent.name,
    timestampMs: originalEvent.timestampMs
  };
};
//# sourceMappingURL=actionEventMapper.js.map