/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

import { EventMapper } from '../../sdk/EventMappers/EventMapper';
export const generateResourceEventMapper = eventMapper => new EventMapper(eventMapper, formatRawResourceToResourceEvent, formatResourceEventToNativeResource, formatRawResourceToNativeResource);
const formatRawResourceToResourceEvent = (error, additionalInformation) => {
  return {
    ...error,
    ...additionalInformation
  };
};
const formatRawResourceToNativeResource = error => {
  return error;
};
const formatResourceEventToNativeResource = (error, originalEvent) => {
  return {
    ...error,
    key: originalEvent.key,
    statusCode: originalEvent.statusCode,
    kind: originalEvent.kind,
    size: originalEvent.size,
    timestampMs: originalEvent.timestampMs
  };
};
//# sourceMappingURL=resourceEventMapper.js.map