/*
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache License Version 2.0.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2016-Present Datadog, Inc.
 */

import { BoundedBuffer } from './BoundedBuffer';
import { PassThroughBuffer } from './PassThroughBuffer';
export class BufferSingleton {
  static bufferInstance = new BoundedBuffer();
  static getInstance = () => {
    return BufferSingleton.bufferInstance;
  };
  static onInitialization = () => {
    BufferSingleton.bufferInstance.drain();
    BufferSingleton.bufferInstance = new PassThroughBuffer();
  };
  static reset = () => {
    BufferSingleton.bufferInstance = new BoundedBuffer();
  };
}
//# sourceMappingURL=BufferSingleton.js.map